module constantes
implicit none

real(8), parameter :: pi = acos(-1.d0)
real(8), parameter :: p2 = 2.d0 * pi

real(8), parameter :: a = 0.51d0
real(8), parameter :: b = 0.1d0

! Figure 3(a): mu = 0.d0
! Figure 3(b): mu = 0.05d0
real(8), parameter :: mu = 0.05d0

integer, parameter :: n = 5000
real(8), parameter :: xmin = 0.d0
real(8), parameter :: xmax = 1.d0
real(8), parameter :: ymin = -0.3d0
real(8), parameter :: ymax = 0.3d0
integer, parameter :: grid = 10

end module

