program main
  use constantes
  use subrotinas
  implicit none
  integer :: i, j, k, m
  real(8) :: x, y
  real(8) :: x0
  real(8) :: a, b
    
  open(1, file='fig5a.dat', status='unknown')

  !$omp parallel do default(firstprivate) schedule(dynamic)
  do j = 1, grid
    do k = 1, grid 
      a = amin + (amax - amin) * dble(j - 1) / dble(grid - 1)
      b = amin + (bmax - bmin) * dble(k - 1) / dble(grid - 1)

loop_ci:    do m = 1, nci
        x0 = xmin + (xmax - xmin) * dble(m - 1) / dble(nci - 1)
        
        x = x0
        y = -5.d0

        do i = 1, n
          call mapa(y, x, a, b)        
          if (y >= 5.d0) then
            exit loop_ci
          end if
        end do
        
        if (m == nci) write(1,*)a, b
      end do loop_ci

  end do
  end do
  !$omp end parallel do

end program
