module subrotinas
  contains

  subroutine mapa(y, x, a)
    use constantes
    implicit none
    real(8), intent(inout) :: x, y
    real(8), intent(in) :: a

    y = y - b * sin(p2 * x) / (1.d0 - mu * cos(p2 * x))
    x = x + a * (1 - y**2)

    if (x >= 1.0) then
      x = x - int(x)
    else if (x < 0.0) then
      x = x - int(x) + 1.0
    end if

    return
  end subroutine mapa

end module subrotinas
