module constantes
implicit none

real(8), parameter :: pi = acos(-1.d0)
real(8), parameter :: p2 = 2.d0 * pi

! Figure 10(a): mu = 0.4d0; 
! Figure 10(b): mu = 0.6d0; 
! Figure 10(c): mu = 0.8d0; 
! Figure 10(d): mu = 0.9d0; 
real(8), parameter :: mu = 0.4d0

integer, parameter :: n = 10000
real(8), parameter :: xmin = 0.d0
real(8), parameter :: xmax = 1.d0

real(8), parameter :: amin = 0.0001d0
real(8), parameter :: amax = 1.d0
real(8), parameter :: bmin = 0.0001d0
real(8), parameter :: bmax = 1.d0
integer, parameter :: grid = 500
integer, parameter :: nci = 100

end module

