module constantes
implicit none

real(8), parameter :: pi = acos(-1.d0)
real(8), parameter :: p2 = 2.d0 * pi

real(8), parameter :: a = 0.2d0
real(8), parameter :: b = 0.2d0

! Figure 2(a): mu = 0.d0
! Figure 2(b): mu = 0.2d0
! Figure 2(c): mu = 0.6d0
real(8), parameter :: mu = 0.6d0

integer, parameter :: n = 5000
real(8), parameter :: xmin = 0.d0
real(8), parameter :: xmax = 1.d0
real(8), parameter :: ymin = -1.5d0
real(8), parameter :: ymax = 1.5d0
integer, parameter :: grid = 10

end module

