module constantes
implicit none

real(8), parameter :: pi = acos(-1.d0)
real(8), parameter :: p2 = 2.d0 * pi

real(8), parameter :: a = 0.45d0
real(8), parameter :: b = 0.05d0
real(8), parameter :: mu = 0.9d0

integer, parameter :: n = 10000
real(8), parameter :: xmin = 0.d0
real(8), parameter :: xmax = 1.d0

! Figure 4(a): ymin = -5.d0; ymax = 5.d0; 
! Figure 4(b): ymin = -0.4d0; ymax = 0.8d0; 
real(8), parameter :: ymin = -0.4d0
real(8), parameter :: ymax = 0.8d0
integer, parameter :: grid = 100

end module

