module constantes
implicit none

real(8), parameter :: pi = acos(-1.d0)
real(8), parameter :: p2 = 2.d0 * pi

! Figure 5(a): mu = 0.d0
! Figure 5(b): mu = 0.2d0
! Figure 5(c): mu = 0.4d0
! Figure 5(d): mu = 0.6d0
! Figure 5(e): mu = 0.8d0
! Figure 5(f): mu = 0.9d0

real(8), parameter :: mu = 0.d0

integer, parameter :: n = int(1d5)
real(8), parameter :: xmin = 0.d0
real(8), parameter :: xmax = 1.d0
real(8), parameter :: ymin = -1.5d0
real(8), parameter :: ymax = 1.5d0

real(8), parameter :: amin = 0.0001d0
real(8), parameter :: amax = 1.d0
real(8), parameter :: bmin = 0.0001d0
real(8), parameter :: bmax = 1.d0
integer, parameter :: grid = 500
integer, parameter :: nci = int(1d2)

end module

