program main
  use constantes
  use subrotinas
  implicit none
  integer :: i, j, k
  real(8) :: x, y
  real(8) :: x0, y0
    
  open(1, file='fig7a.dat', status='unknown')
  
  !$omp parallel do default(firstprivate) schedule(dynamic)
  do j = 1, grid
    do k = 1, grid 
      x0 = xmin + (xmax - xmin) * dble(j - 1) / dble(grid - 1)
      y0 = ymin + (ymax - ymin) * dble(k - 1) / dble(grid - 1)
      
      x = x0;      y = y0
      write(1,*)x,y
      
      do i = 1, n
        call mapa(y, x)
        write(1,*)x,y
      end do

  end do
  end do
  !$omp end parallel do
  
end program
