module constantes
implicit none

real(8), parameter :: pi = acos(-1.d0)
real(8), parameter :: p2 = 2.d0 * pi


! Figure 7(a): a = 0.75d0
! Figure 7(b): a = 0.76d0
real(8), parameter :: a = 0.75d0
real(8), parameter :: b = 0.1d0
real(8), parameter :: mu = 0.9d0

integer, parameter :: n = 5000
real(8), parameter :: xmin = 0.d0
real(8), parameter :: xmax = 1.d0
real(8), parameter :: ymin = -1.d0
real(8), parameter :: ymax = 1.d0
integer, parameter :: grid = 10

end module

