import subprocess
import time

# Start the timer
start_time = time.time()

# Script paths to run
script_paths = ['create.py', 'process.py']

for script_path in script_paths:
    try:
        subprocess.run(['python', script_path], check=True)
    except subprocess.CalledProcessError as e:
        print(f"Error running {script_path}: {e}")

# End the timer
end_time = time.time()

elapsed_time = end_time - start_time

print(f"Elapsed time: {elapsed_time} seconds")
