program main
  use constantes
  use subrotinas
  implicit none
  integer :: i, j, k, esc(n), l
  real(8) :: x, y, T, a
  real(8) :: x0

  open(1, file='fig9a-blue.dat', status='unknown')

loop_a: do l = 1, grid
  a = amin + (amax - amin) * float(l - 1) / float(grid - 1)
  esc(n) = 0

  !$omp parallel do default(shared) private(j, x0, x, y, i, k) schedule(dynamic)
  loop_x: do j = 1, grid

    x0 = xmin + (xmax - xmin) * float(j - 1) / float(grid - 1)

    x = x0
    y = -0.9d0

    do i = 1, n
      call mapa(y, x, a)

      if (y >= 0.9d0) then
        do k = i, n
          !$omp atomic
          esc(k) = esc(k) + 1
        end do
        cycle loop_x
      end if

    end do

  end do loop_x
  !$omp end parallel do

  T = dble(esc(n)) / dble(grid)
  write(1,*) a, T

end do loop_a

end program
