module constantes
implicit none

real(8), parameter :: pi = acos(-1.d0)
real(8), parameter :: p2 = 2.d0 * pi

real(8), parameter :: b = 0.65d0
real(8), parameter :: mu = 0.6d0

! Figure 9(a) blue data: n = 500; 
! Figure 9(a) orange data: n = 1000; 
integer, parameter :: n = 500

real(8), parameter :: xmin = 0.d0
real(8), parameter :: xmax = 1.d0
real(8), parameter :: amin = 0.22d0
real(8), parameter :: amax = 0.25d0
integer, parameter :: grid = 10000

end module

