module constantes
implicit none

real(8), parameter :: pi = acos(-1.d0)
real(8), parameter :: p2 = 2.d0 * pi

! Figure 9(b) blue data: a = 0.231d0; 
! Figure 9(b) orange data: a = 0.235d0;
real(8), parameter :: a = 0.231d0

real(8), parameter :: b = 0.65d0
real(8), parameter :: mu = 0.6d0

integer, parameter :: n = 5000
real(8), parameter :: xmin = 0.d0
real(8), parameter :: xmax = 1.d0
real(8), parameter :: ymin = -1d0
real(8), parameter :: ymax = 1.d0
integer, parameter :: grid = 100000

end module

